*{box-sizing:border-box}

body{
    margin:0;
    font-family:Arial,Helvetica,sans-serif;
    background:#0f0f14;
    color:#e5e5e5;
}

a{
    text-decoration:none;
    color:inherit;
}

.topbar{
    background:#661275;
    color:white;
    padding:10px 6%;
    text-align:center;
    font-size:25px;
    border-bottom:1px solid #f8f7fa;
}

.header{
    background:#661275;
    padding:22px 6%;
    display:flex;
    align-items:center;
    justify-content:space-between;
    border-bottom:2px solid #f6f5f8;
}

.brand{
    display:flex;
    align-items:center;
    gap:15px;
}

.logo{
    width:80px;
    height:80px;
    border-radius:12px;
    object-fit:cover;
    background:#661275;
    border:2px solid #fefdff;
}

.brand h1{
    font-size:24px;
    margin:0;
    color:#fff;
}

.brand p{
    margin:4px 0 0;
    color:#c084fc;
}

/* ===========================
   NAVBAR
=========================== */

.nav{

    background:#4a148c;
    display:flex;
    justify-content:center;
    align-items:center;
    gap:35px;
    padding:18px;
    position:sticky;
    top:0;
    z-index:999;

}

.nav a{

    color:#fff;
    font-weight:bold;
    font-size:15px;
    transition:.3s;

}

.nav a:hover{

    color:#ffd54f;

}

/* tombol menu HP */

.menu-toggle{

    display:none;
    font-size:30px;
    color:white;
    cursor:pointer;
    padding:15px;

}

.hero{

    display:grid;
    grid-template-columns:40% 60%;
    min-height:550px;

}

.hero-text{

    display:flex;
    flex-direction:column;
    justify-content:center;

    padding:60px;

    background:linear-gradient(135deg,#4a148c,#8e24aa);

}

.hero-text h2{
    font-size:36px;
    margin:0 0 16px;
}

.hero-text p{
    line-height:1.6;
}

.hero-img{

    background-image:url('../img/banner_ict.jpg');

    background-size:cover;

    background-position:center;

    background-repeat:no-repeat;

    min-height:550px;

}
.btn{
    display:inline-block;
    background:#7c3aed;
    color:white;
    padding:12px 18px;
    border-radius:8px;
    margin-top:15px;
    border:0;
    cursor:pointer;
}

.btn:hover{
    background:#9333ea;
}

.container{
    padding:45px 6%;
}

.section-title{
    font-size:28px;
    color:#c084fc;
    margin:0 0 25px;
}

.grid{
    display:grid;
    grid-template-columns:repeat(3,1fr);
    gap:22px;
}

.card{
    background:#661275;
    border-radius:16px;
    overflow:hidden;
    box-shadow:0 8px 24px rgba(0,0,0,.35);
    border:1px solid rgba(124,58,237,.35);
}

.card img{
    width:100%;
    height:190px;
    object-fit:cover;
    background:#333;
}

.card-body{
    padding:20px;
}

.badge{
    display:inline-block;
    background:#7c3aed;
    color:white;
    padding:6px 10px;
    border-radius:999px;
    font-size:12px;
    font-weight:bold;
}

.card h3{
    margin:12px 0 8px;
    color:#fff;
}

.footer{
    background:#661275;
    color:white;
    text-align:center;
    padding:30px 6%;
    margin-top:40px;
    border-top:2px solid #7c3aed;
}

.admin-layout{
    display:flex;
    min-height:100vh;
}

.sidebar{
    width:260px;
    background:#0d0d0d;
    color:white;
    padding:25px;
    border-right:2px solid #7c3aed;
}

.sidebar h2{
    font-size:22px;
    color:#c084fc;
}

.sidebar a{
    display:block;
    padding:13px 12px;
    border-radius:8px;
    margin:6px 0;
    color:white;
}

.sidebar a:hover,
.sidebar .active{
    background:#7c3aed;
}

.content{
    flex:1;
    padding:30px;
    background:#661275;
}

.form-box,
.table-box{
    background:#f2f0f0;
    border-radius:14px;
    padding:24px;
    box-shadow:0 8px 24px rgba(0,0,0,.35);
    margin-bottom:25px;
}

input,
select,
textarea{
    width:100%;
    padding:12px;
    border:1px solid #444;
    border-radius:8px;
    margin:8px 0 15px;
    background:#222;
    color:white;
}

textarea{
    min-height:130px;
}

table{
    width:100%;
    border-collapse:collapse;
    background:#1a1a1a;
    color:white;
}

th,td{
    padding:12px;
    border-bottom:1px solid #333;
    text-align:left;
}

th{
    background:#6d28d9;
    color:white;
}

.danger{
    background:#dc2626;
    color:white;
    padding:8px 10px;
    border-radius:6px;
}

.edit{
    background:#7c3aed;
    color:white;
    padding:8px 10px;
    border-radius:6px;
}

.login-page{
    min-height:100vh;
    display:flex;
    align-items:center;
    justify-content:center;
    background:linear-gradient(135deg,#000,#4c1d95,#7c3aed);
}

.login-box{
    width:380px;
    background:#161616;
    color:white;
    border-radius:18px;
    padding:30px;
    box-shadow:0 15px 35px rgba(0,0,0,.45);
    border:1px solid #7c3aed;
}

@media(max-width:850px){
    .hero{
        grid-template-columns:1fr;
    }

    .hero-img{
        min-height:260px;
    }

    .grid{
        grid-template-columns:1fr;
    }

    .nav{
        overflow:auto;
    }

    .admin-layout{
        display:block;
    }

    .sidebar{
        width:100%;
    }
}